SMPlayer with newer Qt version

Problems, bugs, suggestions... anything related to SMPlayer.

SMPlayer with newer Qt version

Postby scootergrisen » Mon Oct 30, 2017 10:21 pm

Which build is using a newer version of Qt then 5.6.0 ?
Like 5.9 or newer.
I want to test if Yes, No, Cancel buttons is translated if it uses Qt 5.9 or newer.
scootergrisen
 
Posts: 293
Joined: Sat Mar 07, 2015 1:43 am

Re: SMPlayer with newer Qt version

Postby rvm » Wed Nov 01, 2017 10:24 pm

There's no version for Windows built with Qt 5.9.
rvm
Site Admin
 
Posts: 2917
Joined: Wed Dec 23, 2009 1:25 am
Location: España

Re: SMPlayer with newer Qt version

Postby redxii » Tue Nov 07, 2017 3:00 pm

Qt 5.7 and later require a newer compiler and SMTube crashes for unknown reasons.
User avatar
redxii
 
Posts: 506
Joined: Thu Dec 24, 2009 7:06 pm

Re: SMPlayer with newer Qt version

Postby scootergrisen » Tue Nov 14, 2017 6:51 pm

Great.
Could you not write about such problems somewhere and maybe someone who knows how to solve the problem can help out if they read about it?
scootergrisen
 
Posts: 293
Joined: Sat Mar 07, 2015 1:43 am

Re: SMPlayer with newer Qt version

Postby rvm » Tue Nov 14, 2017 10:16 pm

If I had time I'd like to rewrite smtube in a way that wouldn't use webkit (it was removed from Qt). But I'll need to write from scratch and that requires time.
rvm
Site Admin
 
Posts: 2917
Joined: Wed Dec 23, 2009 1:25 am
Location: España

Re: SMPlayer with newer Qt version

Postby scootergrisen » Fri Nov 17, 2017 4:32 am

What about only make SMPlayer use newest Qt version and the SMTube could use the old version until you get time to make it use new version also?
Or maybe to complicated.
scootergrisen
 
Posts: 293
Joined: Sat Mar 07, 2015 1:43 am

Re: SMPlayer with newer Qt version

Postby rvm » Fri Nov 17, 2017 11:20 am

Both share the libraries, so yes it would be complicated.
It would be easier to just add the translation file from Qt 5.9 to the smplayer package.
rvm
Site Admin
 
Posts: 2917
Joined: Wed Dec 23, 2009 1:25 am
Location: España

Re: SMPlayer with newer Qt version

Postby scootergrisen » Sat Nov 18, 2017 12:50 am

I would think it would be best to wait and do it the correct way and not mix Qt versions. Maybe that could cause new problems.
scootergrisen
 
Posts: 293
Joined: Sat Mar 07, 2015 1:43 am

Re: SMPlayer with newer Qt version

Postby stevo » Wed Nov 29, 2017 7:39 pm

Suppose you must be talking about Windows, since Linux versions can be built with whatever Qt is default in the distro...so a bleeding-edge distro like Arch no doubt builds them against the latest Qt5, and Debian Stretch will use Qt 5 5.7.
stevo
 
Posts: 40
Joined: Mon Dec 05, 2011 3:14 am


Return to General

Who is online

Users browsing this forum: No registered users and 1 guest

cron